<?php 

function ventoux_carousel( $atts, $content = null ) {
	extract( shortcode_atts( array(
			'id'			=> '',
			'speed'			=> '',
			'navigation'			=> '',
			'item_width' => '',
			
		),
		$atts ) );

	wp_enqueue_scripts('vidall_slider');
$output = '<div class="flexslider carousel" id="'. $id .'">';
$output .= '<ul class="slides">';
$output .= do_shortcode( $content );
$output .= '</ul>';
$output .= '</div>';
$output .= "<script>\n";
$output .= "jQuery(window).load(function() {\n";
$output .= "jQuery('#".$id."').flexslider({\n";
$output .= "animation: \"".$animation."\",\n";
$output .= "direction: \"horizontal\",\n";
$output .= "slideshowSpeed: \"".$speed."000\",\n";
$output .= "controlNav: ".$navigation.",\n";
$output .= "itemWidth: ".$item_width.",\n";
$output .= "itemMargin: 5,\n";
$output .= "prevText: \"\",\n";
$output .= "nextText: \"\",\n";
$output .= "});\n";
$output .= "});\n";
$output .= '</script>';
$output .= '';
$output .= '';
$output .= '';
$output .= '';

return $output;
}
add_shortcode('ventoux_carouselsldr','ventoux_carousel');

function ventoux_carousel_images( $atts, $content = null ) {
	extract( shortcode_atts( array(
			
			
		),
		$atts ) );
$images = '<li>';
$images .= '<img src="'. do_shortcode( $content ) .'" />';
$images .= '</li>';
$images .= '';
$images .= '';
$images .= '';
$images .= '';
$images .= '';
$images .= '';

return $images;
}
add_shortcode('ventoux_carouselsldr_images','ventoux_carousel_images');